> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audiohook.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

## 🔄 Update a Creative

Updates an existing creative by ID.

### 📤 Request Example

```bash theme={null}
curl -X PATCH https://betaapi.audiohook.com/v2/companies/:companyUUID/creatives/9999 \
  -H "Authorization: Bearer ${API_TOKEN}" \
  -H "Content-Type: application/json" \
  -d '{
    "request_headers": [
      { "name": "X-Request-Header", "value": "Header value" }
    ],
    "body": {
      "creative_name": "Updated Creative",
      "advertiser_id": "1234-abcd-qwer-xcvb",
      "status": true,
      "tags": [...],
      "start_flight_date": "2022-12-01",
      "end_flight_date": "2023-01-01",
      "campaigns": [123,124,125],
      "events": [...],
      "companion_ad": {
        "click_through_url": "https://snarkyspizza.com/...",
        "display_asset_filename": "eat-at-snarkys.png"
      }
    }
  }'
```

### ✅ Response Example

```json theme={null}
{
  "Creative": 9999,
  "s3_displayad": { ... }
}
```

### 🌐 HTTP Request

```http theme={null}
PATCH /v2/companies/:companyUUID/creatives/:creativeId
```

### 🧾 Body Parameters

| Parameter           | Required | Type    | Description                |
| ------------------- | -------- | ------- | -------------------------- |
| creative\_name      | ❌        | string  | New creative name.         |
| status              | ❌        | boolean | Active or inactive status. |
| start\_flight\_date | ❌        | string  | Start date (Y-M-D).        |
| end\_flight\_date   | ❌        | string  | End date (Y-M-D).          |
| events              | ❌        | array   | Pixel events to attach.    |
| tags                | ❌        | array   | Categorization tags.       |
| companion\_ad       | ❌        | object  | Display ad object.         |
| campaigns           | ❌        | array   | Associated campaign IDs.   |
| advertiser\_id      | ❌        | string  | UUID of the advertiser.    |

<aside class="notice">
  s3\_displayad will return NULL if no companion\_ad is provided.
</aside>
